Description

In taxeditor the convertion of the cdm markup of an intextreference is performed quite often, therefore maybe it is reasonable to store
also the innertext in Intextreference to have the possibility to create the whole html or cdm markup text.

| will add some information tomorrow.

Related issues:
Copied to EDIT - feature request #6916: Link IntextReference to OriginalSourc... In Progress

History

#1 - 08/15/2017 12:49 PM - Katja Luther

We also need to discuss how we want to handle references cited more than once in a text. Do we have an intextReference object for all occurences
or only one and how can we delete one of these citations and how we can delete all occurences or do we do not allow to delete all occurrences at
once?

#2 - 08/15/2017 02:43 PM - Andreas Miiller
Katja Luther wrote:
We also need to discuss how we want to handle references cited more than once in a text. Do we have an intextReference object for all

occurences or only one and how can we delete one of these citations and how we can delete all occurences or do we do not allow to delete all
occurrences at once?

As you can see in the model LanguageString can have more than 1 IntextReference. Each IntextReference links to exactly one external resource,
may it be a reference, a name, a taxon, a key, a media, ...

By the way writing this | realize that maybe we should better link to an OriginalSource instead of a pure reference. This needs to be discussed:
Copied to #6916

#3 - 08/15/2017 02:44 PM - Andreas Miuller

- Copied to feature request #6916: Link IntextReference to OriginalSource, not Reference added

#4 - 08/15/2017 02:46 PM - Katja Luther

Andreas Miller wrote:
Katja Luther wrote:

We also need to discuss how we want to handle references cited more than once in a text. Do we have an intextReference object for all
occurences or only one and how can we delete one of these citations and how we can delete all occurences or do we do not allow to delete
all occurrences at once?

As you can see in the model LanguageString can have more than 1 IntextReference. Each IntextReference links to exactly one external
resource, may it be a reference, a name, a taxon, a key, a media, ...

By the way writing this | realize that maybe we should better link to an OriginalSource instead of a pure reference. This needs to be discussed:
Copied to #6916

This is already implemented, but sometimes there is one reference cited more than once in a text, maybe this is not very often in our case but we
should be able to handle it.

04/19/2024 1/3



https://dev.e-taxonomy.eu/redmine/issues/6916
https://dev.e-taxonomy.eu/redmine/issues/6916

#5 - 08/15/2017 02:59 PM - Andreas Miiller

Katja Luther wrote:
Andreas Muller wrote:
Katja Luther wrote:

We also need to discuss how we want to handle references cited more than once in a text. Do we have an intextReference object for
all occurences or only one and how can we delete one of these citations and how we can delete all occurences or do we do not allow
to delete all occurrences at once?

As you can see in the model LanguageString can have more than 1 IntextReference. Each IntextReference links to exactly one external
resource, may it be a reference, a name, a taxon, a key, a media, ...

By the way writing this | realize that maybe we should better link to an OriginalSource instead of a pure reference. This needs to be
discussed: Copied to #6916

This is already implemented, but sometimes there is one reference cited more than once in a text, maybe this is not very often in our case but we
should be able to handle it.

Each IntextReference reference 1 CDM object. If this is the same object for 2 different IntextReference they are handled separately. It is a task for the
output software to deduplicate them if required, the IntextReference itself can't be deduplicated as it is not a duplicate (at different places).

More difficult is it to use 2 citations for the same text part. This is difficult to handle in XML as no overlapping of tags is allowed in XML as the tags
have no identifier. Same if name appears e.g. in the title of a reference.

#6 - 08/15/2017 03:01 PM - Andreas Miuller

Is the original task of this ticket still an issue. | think | send an answer once. | am not sure that we really need the text to be stored. If still an issue
please add more information why it is required.

#7 - 08/16/2017 09:27 AM - Katja Luther

this was the email discussion:

Nachtrag: aber ich bin da auch nicht grundsatzlich abgeneigt. Und wenn es nur zum Debuggen ist, macht es ja manchmal Sinn solche Informationen
zu haben. Nur muss man alles was man speichert auch synchron halten und daher bin ich vorsichtig, da mehr reinzustecken, als notwendig.

AM

Von: Miller, Andreas

Gesendet: Dienstag, 18. Juli 2017 14:17
An: Luther, Katja

Betreff: AW: IntextReference Klasse

Hallo Katja,

du kannst da gerne mal ein Modelticket als DISCUSS fiir aufmachen, dann kénnen wir die Diskussion dort speichern.

Bislang ist mir das noch nicht ganz klar, warum es sinnvoll wére. Eigentlich sollte es Text unabhangig sein. Insbesondere muss man beachten, dass
der gleiche Text ja an mehreren Stellen stehen kann. Man kann sich also auf die Suche nicht verlassen, bei der Bestimmung der Stelle.

Vielleicht kannst du mir ja mal deinen Code zeigen.

Waére gut, wenn du ihn in einen Branch schieben kannst. Macht ja bei einer so groBen OP sowieso Sinn, dann ist die Gefahr nicht so grof3
versehentlich falsche Dinge zu committen oder zu vergessen.

Viele Grif3e,
Andreas M.

Von: Luther, Katja

Gesendet: Dienstag, 18. Juli 2017 13:33
An: Muller, Andreas

Betreff: IntextReference Klasse

Hallo Andreas,

fur die Konvertierung von cdm Markup zu html und zuriick wére es einfacher, wenn man den innerText von dem Markup auch in der IntextReferenz
speichern wirde. Da das dann eine Modellanderung ist, wollte ich fragen, ob das fir dich ok waére.

Dann kénnte man namlich den Text, nachdem man sucht recht leicht anhand des IntextReferenz Objektes erzeugen.

Alternativ geht es auch tber einen regularen Ausdruck... das habe ich jetzt von mark up zu html implementiert.

Viele Grif3e,
Katja
#8 - 08/16/2017 12:06 PM - Katja Luther

Andreas Muller wrote:

More difficult is it to use 2 citations for the same text part. This is difficult to handle in XML as no overlapping of tags is allowed in XML as the
tags have no identifier. Same if name appears e.g. in the title of a reference.

what do you mean with two citations for the same text part something like this "this is a text with two citations (Maller 2017, Luther 2017)", | think this
should not be a problem or that "Miller 2017" should point to two citations? Is this possible?

#9 - 09/25/2017 11:55 AM - Andreas Miiller
- Parent task set to #4719
